/*************************************************
* Zeus CMD - C++ Tutorial 40 : Memory Allocation *
* By Grant James (ZEUS)                          *
* http://www.zeuscmd.com                         *
*************************************************/
#include <iostream>
#include <stdlib.h>
#include <stdio.h>

using namespace std;

int main()
{
	// C Memory Allocation
	//---------------------
	int *c = NULL;

	c = (int *)malloc(sizeof(int));

	*c = 56;

	printf("c : %d\n", *c);

	free(c);

	c = NULL;

	// C++ Memory Allocation
	//-----------------------
	int *cpp = NULL;

	cpp = new int;

	if (!cpp)
	{
		cout << "Insufficient memory" << endl;
		return 1;
	}

	*cpp = 23;
	cout << "cpp : " << *cpp << endl;

	delete cpp;

	cpp = NULL;

	system("sleep 1");

	return 0;
}
